## Apache Zeta Components Manual :: Docs For Class ezcWebdavFileBackendBrokenStorageException

### Webdav::ezcWebdavFileBackendBrokenStorageException

### Class ezcWebdavFileBackendBrokenStorageException

Exception thrown if a stored property storage could not be parsed.

In rare cases it may happen, that the properties stored by ezcWebdavFileBackend get broken (HD failure, bug,...). If the file backend cannot parse the storage anymore, this exception is thrown.

Source for this file: /Webdav/src/exceptions/broken_storage_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWebdavException
             |
             --ezcWebdavFileBackendBrokenStorageException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

Documentation generated by phpDocumentor 1.4.3